<!doctype html>
<html lang="en"
      xmlns:th="https://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">

    <style th:replace="fragments/style :: style"></style>

    <title>Document</title>
</head>
<body>
<div th:replace="fragments/navbar :: navbar"></div>
<div class="container">
    <br>
    <a href="/create" class="btn btn-primary">Creat New Article</a>
    <a class="" href="?lang=en">English</a>
    <a class="" href="?lang=km">Khmer</a>
    <a class="" href="?lang=ko">Korea</a>
    <br>
    <table class="table">
        <thead>
        <tr>
            <th scope="col">#</th>
            <th scope="col" >Title</th>
            <th scope="col" >Description</th>
            <th scope="col" >Image</th>
            <th >Actions</th>
        </tr>
        </thead>
        <tbody>
        <tr th:each="article,state : ${articleList}">
<!--            <th scope="row" th:text="${state.count}"></th>-->
            <th scope="row" th:text="${state.count}"></th>
            <td th:text="${article.title}"></td>
            <td th:text="${article.description}"></td>
            <td>
                <img th:src="${article.getImageURL()}" width="100px" src="" alt="">
            </td>
            <td>

                <a class="btn btn-outline-success" th:href="@{/article/view/{uid}(uid=${article.auid})}">View</a>
                <a  class="btn btn-outline-warning">Edit</a>
                <a class="btn btn-outline-danger">Delete</a>
            </td>
        </tr>
        </tbody>
    </table>



  <nav aria-label="Page navigation example">
    <ul class="pagination">
      <li class="page-item">
        <a class="page-link" href="#" aria-label="Previous" th:href="@{/(page=${paging.previousPage} )}">
          <span aria-hidden="true">&laquo;</span>
        </a>
      </li>
      <li class="page-item" th:each="i: ${#numbers.sequence(paging.startPage, paging.endPage)}" th:class="${paging.page}==${i}?'active'">
        <a class="page-link" th:href="@{/(page=${i})}" th:text="${i}">1</a></li>

      <li class="page-item">
        <a class="page-link" href="#" aria-label="Next" th:href="@{/(page=${paging.nextPage})}" >
          <span aria-hidden="true">&raquo;</span>
        </a>
      </li>
    </ul>
  </nav>
</div>
</body>
</html>